%define module	appdirs

Name:		python-%{module}
Version:	1.4.0
Release:	%mkrel 3
Summary:	Python module for determining platform-specific directories
License:	MIT
Group:		Development/Python
URL:		http://github.com/ActiveState/appdirs
Source0:	https://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 module for determining platform-specific directoriess
Group:		Development/Python

%description -n	python3-%{module}
A small Python 3 module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------
%prep
%setup -q -n %{module}-%{version}

rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python2_sitelib}/%{module}.py
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{module}.py

%check
pushd %{py3dir}
%{__python3} setup.py test
popd
%{__python2} setup.py test

%files -n python-%{module}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python2_sitelib}/%{module}.py*
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/__pycache__/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Jan 12 2017 neoclust <neoclust> 1.4.0-3.mga5
+ Revision: 1081152
- Prepare for backport

* Fri Feb 19 2016 umeabot <umeabot> 1.4.0-3.mga6
+ Revision: 970447
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.4.0-2.mga6
+ Revision: 886785
- rebuild for python 3.5
- use new python macros

* Sat Aug 15 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 864818
- imported package python-appdirs (based on Fedora)
- split to a python2 subpackage and to a python3 subpackage
- use python2 macros

